<link rel="stylesheet" href="app/components/addProduct/addProduct.css">

<div id="addProduct">
	<div ng-include="'app/components/addProduct/modals/barcodeQueryModal.html'"></div>
	<div ng-include="'app/components/addProduct/modals/addSuccessModal.html'"></div>
	<form name="addProductForm">
		<div class="text-center" style="margin-bottom:10px;">
			<button type="button" class="btn btn-danger" ng-click="cancel()" ng-show="disable.scan">Ακύρωση</button>
		</div>
		<div id="scandit-barcode-picker" style="min-width 100%; margin-bottom: 10px"></div>
		<span style="color: red">
			Τα πεδία με αστερίσκο (*) είναι απαραίτητα για την προσθήκη νέου προϊόντος
		</span>
		<table class="table">
			<tbody>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">Barcode</div>
						<div class="col-m" style="--per: 60%">
							<input type="number" min="100000000000" max="9999999999999" name="barcode" ng-model="newProduct.barcode" ng-blur="barcodeQuery()">
							<span class="input-error" ng-show="addProductForm.barcode.$invalid && !disable.message">Το barcode είναι ένας αριθμός με 13 ψηφία (μπορεί να έχει 0 στην αρχή)</span><br>
							<button type="button" class="btn btn-info" ng-click="scan()" ng-hide="disable.scan">Σκάναρε barcode</button>
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">Όνομα (*)</div>
						<div class="col-m" style="--per: 60%">
							<input list="names" type="text" ng-model="newProduct.name" required> 
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">Ποσότητα (σε ml) (*)</div>
						<div class="col-m" style="--per: 60%"><input type="number" ng-model="newProduct.quantity_ml" required> </div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">Ποσοστό αλκοόλ (%) (*)</div>
						<div class="col-m" style="--per: 60%">
							<input type="number" ng-model="newProduct.alcohol" required>
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">Περιγραφή (*)</div> 
						<div class="col-m" style="--per: 60%"><textarea ng-model="newProduct.description" required></textarea></div>
						{{colour}}
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">Κατηγορία (*)</div>
						<div class="col-m" style="--per: 60%">
							<input list="types" type="text" ng-model="newProduct.type" placeholder="Μπύρα, Κρασί, Ουίσκι, κτλ." required>
							<datalist id="types">
								<option ng-repeat="x in productTypes.sort()" value="{{x}}">
							</datalist><br>
							<div ng-include="'app/components/addProduct/views/beers.html'"></div>
							<div ng-include="'app/components/addProduct/views/whiskeys.html'"></div>
							<div ng-include="'app/components/addProduct/views/wines.html'"></div>
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">Ετικέτες</div>
						<div id="tags" class="col-m" style="--per: 60%">
							<input type="text" ng-model="newProduct.tags" placeholder="Διαχωρίστε τις λέξεις με κενά">
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%"><button type="reset" class="btn btn-warning" ng-click="reset()">Καθαρισμός δεδομένων</div>
						<div class="col-m" style="--per: 60%;"><button type="submit" class="btn btn-success" ng-click="submit()" ng-disabled="addProductForm.$invalid">Προσθήκη</button></div>
					</td>
				</tr>
			</tbody>
		</table>
	</form>
</div>

